.TH HG OUTGOING  "" "" ""
.SH NAME
hg outgoing \- show changesets not found in the destination
.\" Man page generated from reStructuredText.
.
.SH SYNOPSIS
.sp
.nf
.ft C
hg outgoing [\-M] [\-p] [\-n] [\-f] [\-r REV]... [DEST]...
.ft P
.fi
.SH DESCRIPTION
.sp
Show changesets not found in the specified destination repository
or the default push location. These are the changesets that would
be pushed if a push was requested.
.sp
See pull for details of valid destination formats.
.sp
With \-B/\-\-bookmarks, the result of bookmark comparison between
local and remote repositories is displayed. With \-v/\-\-verbose,
status is also displayed for each bookmark like below:
.sp
.nf
.ft C
BM1               01234567890a added
BM2                            deleted
BM3               234567890abc advanced
BM4               34567890abcd diverged
BM5               4567890abcde changed
.ft P
.fi
.sp
The action taken when pushing depends on the
status of each bookmark:
.INDENT 0.0
.TP
.B \fBadded\fP
.sp
push with \fB\-B\fP will create it
.TP
.B \fBdeleted\fP
.sp
push with \fB\-B\fP will delete it
.TP
.B \fBadvanced\fP
.sp
push will update it
.TP
.B \fBdiverged\fP
.sp
push with \fB\-B\fP will update it
.TP
.B \fBchanged\fP
.sp
push with \fB\-B\fP will update it
.UNINDENT
.sp
From the point of view of pushing behavior, bookmarks
existing only in the remote repository are treated as
\fBdeleted\fP, even if it is in fact added remotely.
.sp
Returns 0 if there are outgoing changes, 1 otherwise.
.SH OPTIONS
.INDENT 0.0
.TP
.B \-f,  \-\-force
.
run even when the destination is unrelated
.TP
.BI \-r,  \-\-rev \ <REV[+]>
.
a changeset intended to be included in the destination
.TP
.B \-n,  \-\-newest\-first
.
show newest record first
.TP
.B \-B,  \-\-bookmarks
.
compare bookmarks
.TP
.BI \-b,  \-\-branch \ <BRANCH[+]>
.
a specific branch you would like to push
.TP
.B \-p,  \-\-patch
.
show patch
.TP
.B \-g,  \-\-git
.
use git extended diff format
.TP
.BI \-l,  \-\-limit \ <NUM>
.
limit number of changes displayed
.TP
.B \-M,  \-\-no\-merges
.
do not show merges
.TP
.B \-\-stat
.
output diffstat\-style summary of changes
.TP
.B \-G,  \-\-graph
.
show the revision DAG
.TP
.BI \-\-style \ <STYLE>
.
display using template map file (DEPRECATED)
.TP
.BI \-T,  \-\-template \ <TEMPLATE>
.
display with template
.TP
.BI \-e,  \-\-ssh \ <CMD>
.
specify ssh command to use
.TP
.BI \-\-remotecmd \ <CMD>
.
specify hg command to run on the remote side
.TP
.B \-\-insecure
.
do not verify server certificate (ignoring web.cacerts config)
.TP
.B \-S,  \-\-subrepos
.
recurse into subrepositories
.UNINDENT
.sp
[+] marked option can be specified multiple times
.SH ALIASES
.sp
.nf
.ft C
out
.ft P
.fi
.\" Generated by docutils manpage writer.
.\" 
.
